Bug 852937 (CVE-2012-2870)

Summary: CVE-2012-2870 libxslt: Use-after-free when processing an invalid XPath expression
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: security-response-team, veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120831,reported=20120830,source=google,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/libxslt=affected,rhel-6/libxslt=affected,fedora-all/libxslt=affected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-25 15:54:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 835983, 852942, 852943, 852945, 852946    
Bug Blocks: 852939    

Description Huzaifa S. Sidhpurwala 2012-08-29 23:54:02 EDT
Two Use-after-frees were found in libxslt, a C library which allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism. One of them is caused due to an invalid XPath reference and the other is due to improper application of generate-id().

Reference:
https://code.google.com/p/chromium/issues/detail?id=138672
https://code.google.com/p/chromium/issues/detail?id=140368
Comment 3 Huzaifa S. Sidhpurwala 2012-08-31 00:12:13 EDT
Public via:
http://googlechromereleases.blogspot.in/2012/08/stable-channel-update_30.html
Comment 4 errata-xmlrpc 2012-09-13 13:44:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html
Comment 5 errata-xmlrpc 2012-09-13 13:48:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html
Comment 6 Vincent Danen 2012-09-13 16:12:42 EDT
Created libxslt tracking bugs for this issue

Affects: fedora-all [bug 835983]
Comment 7 Fedora Update System 2012-09-26 05:11:53 EDT
libxslt-1.1.26-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-27 00:27:06 EDT
libxslt-1.1.26-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-12-09 01:31:18 EST
libxslt-1.1.27-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.